//---------------------------------------------------------------------------
//  (c)Alex A. Trubetskoy        alextr438@yandex.ru
//---------------------------------------------------------------------------
#ifndef BoxesManageH
#define BoxesManageH

#include <vector.h>

class TFormProperties;
class TMailBox;

//---------------------------------------------------------------------------
class TBoxesManager {
   int fCountBoxes;                   //count of boxes
   vector<TMailBox*> boxes;          //pointers to mail boxes
   int activeBox;

   int getCountBoxes()const;
   
public:
   TBoxesManager();
   ~TBoxesManager();
   bool createBox(TFormProperties*);
   bool restoreBox(AnsiString*, bool);
   AnsiString getPathOfActiveBox()const;
   AnsiString __fastcall getPathOfBox(int num)const;
   int getActiveBoxIndex()const;
   const TMailBox* getActiveBox()const;
   void __fastcall setActiveBox(int num);
   __property int countBoxes  = { read=getCountBoxes };
private:

};
//---------------------------------------------------------------------------
#endif
