//---------------------------------------------------------------------------
//  (c)Alex A. Trubetskoy        alextr438@yandex.ru
//---------------------------------------------------------------------------
#ifndef FormEditMessageUnitH
#define FormEditMessageUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include <ActnList.hpp>
//---------------------------------------------------------------------------
class TFormEditMessage : public TForm
{
__published:	// IDE-managed Components
   TMemo *memoMessage;
   TToolBar *toolBar;
   TToolButton *toolBtnSend;
   TToolButton *toolBtnSave;
   TToolButton *toolBtnSep2;
   TToolButton *toolBtnCut;
   TToolButton *toolBtnCopy;
   TToolButton *toolBtnPaste;
   TToolButton *toolBtnSep1;
   TImageList *imageList;
   TMainMenu *mainMenu;
   TMenuItem *miFile;
   TMenuItem *miSend;
   TMenuItem *miSave;
   TMenuItem *n1;
   TMenuItem *miExit;
   TMenuItem *miEdit;
   TMenuItem *miCut;
   TMenuItem *miCopy;
   TMenuItem *miPaste;
   TToolButton *toolBtnSep3;
   TToolButton *toolBtnExit;
   TEdit *edFrom;
   TEdit *edTo;
   TEdit *edSubject;
   TPanel *panelFrom;
   TPanel *panelTo;
   TPanel *panelSubject;
   TActionList *actionList;
   TAction *actionSave;
   TAction *actionExit;
   void __fastcall actionSaveExecute(TObject *Sender);
   void __fastcall actionExitExecute(TObject *Sender);
private:	// User declarations
   AnsiString fPath;
   void __fastcall setPath(AnsiString);
public:		// User declarations
   __fastcall TFormEditMessage(TComponent* Owner);
   __property AnsiString path  = { write=setPath };
};
//---------------------------------------------------------------------------
extern PACKAGE TFormEditMessage *FormEditMessage;
//---------------------------------------------------------------------------
#endif
