//---------------------------------------------------------------------------
//  (c)Alex A. Trubetskoy        alextr438@yandex.ru
//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "const.h"
#include "FormMoveCopyMessUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TFormMoveCopyMess *FormMoveCopyMess;
//---------------------------------------------------------------------------
__fastcall TFormMoveCopyMess::TFormMoveCopyMess(TComponent* Owner)
   : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TFormMoveCopyMess::paintTreeView(AnsiString fileName)
{
   //clear tree view
   treeView->Items->Clear();

   treeView->LoadFromFile(fileName);
   DeleteFile(fileName);
   treeView->FullExpand();
}
//---------------------------------------------------------------------------
AnsiString __fastcall TFormMoveCopyMess::getPath() const
{
   //get selected box
   AnsiString folder = "-1";
   int num = getNumberOfSelFolder();
   if(num == -1)
      return folder;
      
   TTreeNode* sel = treeView->Selected;
   if(sel != NULL) {
      folder = (treeView->Items->Item[num]->Text) + "\\message.spmg";
   }
   return folder;
}
//---------------------------------------------------------------------------
int __fastcall TFormMoveCopyMess::getNumberOfSelFolder()const
{
   int num = -1;
   for(int i = 0; i < treeView->Items->Count; ++i) {
      if(treeView->Items->Item[i]->Selected == true) {
         num = i;
         break;
      }
   }
   return num;
}
//---------------------------------------------------------------------------
