//---------------------------------------------------------------------------
//  (c)Alex A. Trubetskoy        alextr438@yandex.ru
//---------------------------------------------------------------------------
#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <ComCtrls.hpp>
#include <NMpop3.hpp>
#include <Psock.hpp>
#include <Grids.hpp>
#include <ImgList.hpp>
#include <vector.h>
#include <ActnList.hpp>
#include "SHDocVw_OCX.h"
#include <OleCtrls.hpp>
//---------------------------------------------------------------------------
class TFormProperties;
class TBoxesManager;
struct TSpMessage;
class TGetMessThread;
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
   TMainMenu *mainMenu;
   TMenuItem *miFile;
   TMenuItem *miExit;
   TMenuItem *miBox;
   TMenuItem *miCreateBox;
   TMenuItem *miDeleteBox;
   TMenuItem *n1;
   TMenuItem *miGetMessages;
   TMenuItem *miSendMess;
   TMenuItem *n2;
   TMenuItem *miPropertiesBox;
   TMenuItem *miWriteMess;
   TMenuItem *n3;
   TMenuItem *miHelp;
   TMenuItem *miAbout;
   TTreeView *treeView;
   TImageList *imageList;
   TStringGrid *sgMessages;
   TMenuItem *miMessage;
   TMenuItem *miMessMove;
   TMenuItem *miMessCopy;
   TMenuItem *miMessDelete;
   TActionList *actionListMain;
   TAction *actionTreeClick;
   TAction *actionGetMess;
   TAction *actionDelMess;
   TAction *actionMoveMess;
   TAction *actionCopyMess;
   TAction *actionSendMess;
   TCppWebBrowser *cppWebBrowser;
   TPopupMenu *pmForSG;
   TMenuItem *pmiMove;
   TMenuItem *pmiCopy;
   TMenuItem *pmiDel;
    TStatusBar *statusBar;
   void __fastcall miExitClick(TObject *Sender);
   void __fastcall miAboutClick(TObject *Sender);
   void __fastcall miCreateBoxClick(TObject *Sender);
   void __fastcall FormCreate(TObject *Sender);
   void __fastcall miWriteMessClick(TObject *Sender);
   void __fastcall sgMessagesSelectCell(TObject *Sender, int ACol,
          int ARow, bool &CanSelect);
   void __fastcall actionTreeClickExecute(TObject *Sender);
   void __fastcall actionGetMessExecute(TObject *Sender);
   void __fastcall actionDelMessExecute(TObject *Sender);
   void __fastcall actionCopyMessExecute(TObject *Sender);
   void __fastcall actionMoveMessExecute(TObject *Sender);
   void __fastcall actionSendMessExecute(TObject *Sender);
   void __fastcall sgMessagesMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
   TBoxesManager* pm;
   vector<TSpMessage*> mess;      //messages from the selected folder
   AnsiString pathApp;
   void __fastcall addBox2TreeView(AnsiString name);
   void __fastcall clearGrid();
   int __fastcall getNumberOfSelFolder();
   void __fastcall updateMessFile(short op, AnsiString* pStr = 0);
   void __fastcall copyMessage(bool move);
   void __fastcall clearWebBrowser();
public:		// User declarations
   __fastcall TMainForm(TComponent* Owner);
   __fastcall ~TMainForm();

   friend class TGetMessThread;
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
