//---------------------------------------------------------------------------
//  (c)Alex A. Trubetskoy        alextr438@yandex.ru
//---------------------------------------------------------------------------
#ifndef MailBoxH
#define MailBoxH

#include <vcl.h>
//---------------------------------------------------------------------------
class TMailBox {
   AnsiString fName;
   AnsiString fEmailAddress;
   AnsiString fPassword;
   AnsiString fPopServer;
   AnsiString fSmtpServer;
   AnsiString fPath;
   bool fDelMessage;            //delete messages when it is read
   int fCountMess;              //count of messages
   //TMailMessage** pmes;         //array for messages
   
public:
   __property AnsiString name  = { read=getName, write=setName };
   __property AnsiString emailAddress  =
          { read=getEmailAddress, write=setEmailAddress };
   __property AnsiString password  =
          { read=getPassword, write=setPassword };
   __property AnsiString popServer  =
          { read=getPopServer, write=setPopServer };
   __property AnsiString smtpServer  =
          { read=getSmtpServer, write=setSmtpServer };
   __property AnsiString path  = { read=getPath, write=setPath };
   __property bool delMessage  = { read=getDel, write=setDel };
   __property int countMess  = { read=getCountMess };

   TMailBox(AnsiString*, bool);
   bool createBox();
   void deleteBox();

private:
   void __fastcall setName(AnsiString);
   AnsiString __fastcall getName()const;
   void __fastcall setEmailAddress(AnsiString);
   AnsiString __fastcall getEmailAddress()const;
   void __fastcall setPassword(AnsiString);
   AnsiString __fastcall getPassword()const;
   void __fastcall setPopServer(AnsiString);
   AnsiString __fastcall getPopServer()const;
   void __fastcall setSmtpServer(AnsiString);
   AnsiString __fastcall getSmtpServer()const;
   void __fastcall setPath(AnsiString);
   AnsiString __fastcall getPath()const;
   void __fastcall setDel(bool);
   bool __fastcall getDel()const;
   int __fastcall getCountMess()const;
};
//---------------------------------------------------------------------------
#endif